# Truy vấn hàng loạt thông tin ADB

Truy vấn hàng loạt thông tin kết nối ADB của điện thoại đám mây.
- Danh sách envIds hỗ trợ tối đa 200 mục.
- Hỗ trợ các truy vấn hỗn hợp giữa các nhà cung cấp wuin và arm; API sẽ tự động nhóm theo nhà cung cấp và hợp nhất kết quả.
- Thông tin ADB chỉ khả dụng khi điện thoại được bật nguồn (envStatus >= 4); không thể truy vấn khi tắt nguồn hoặc đang khởi động.

Endpoint: POST /cloudphone/batchAdbInfo
Version: 1.0.0

## Request fields (application/json):

  - `envIds` (array, required)
    List of environment IDs, maximum 200
    Example: [1674380838117474,1675787900043353]

## Response 200 fields (application/json):

  - `code` (integer)
    Response code, 0 indicates success
    Example: 0

  - `msg` (string)
    Thông báo phản hồi
    Example: success

  - `data` (array)
    ADB info list, in the same order as the requested envIds

  - `data.id` (integer)
    Environment ID

  - `data.supportAdb` (boolean)
    Whether ADB is supported

  - `data.enableAdb` (boolean)
    Enable ADB 0 = Disabled, 1 = Enabled

  - `data.envStatus` (integer)
    Environment status:
- 0: New
- 1: Creation failed
- 2: Powered off
- 3: Booting
- 4: Powered on
- 5: Resetting
- 6: Restarting
- 7: One-click new machine in progress

  - `data.adbIp` (string)
    ADB connection IP address

  - `data.adbPassword` (string)
    ADB connection password

  - `data.adbPort` (string)
    ADB connection port

  - `data.command` (string)
    ADB SSH tunnel connection command

  - `data.expireTime` (string)
    ADB connection expiration time

  - `data.remark` (string)
    Remark info. When ADB info cannot be retrieved, the reason is provided:
- Environment does not exist
- Environment is not powered on, unable to query ADB info
- This environment does not support ADB
- Failed to retrieve ADB info

